Subject: Re: [DNA] leaving out options on Landmark RA =Yes(draft-pentland-dna-protocol-00.txt)?

From: Sathya Narayanan <[email-masked]>
Date: Wed, 01 Jun 2005 09:32:36 -0400

Greg -

Under the assumption that the 'Yes' case is more likely, i.e. the ratio AP/AR is big, it makes sense to emphasize the importance of this optimization by making it a MUST/SHOULD, IMHO. With the size of PIOs, possibly many of them and wireless channels etc., there is possibly significant savings in link-utilization.

- Sathya

----- Original Message -----
From: Greg Daley <[email-masked]>
Date: Wednesday, June 1, 2005 0:52 am
Subject: [DNA] leaving out options on Landmark RA = Yes(draft-pentland-dna-protocol-00.txt)?

> Dear WG,
> 
> The contents of Landmark RAs with the Yes flag set
> are described in two locations:
> 
> Section 3.2:
> 
> "In the case when the host is still attached to the same link, which
>  might occur when the host has changed from using one layer 2 access
>  point to another, but the access points are on the same link, the
>  Router Advertisement(s) it receives will contain a "yes, that prefix
>  is on this link" answer, and no other information.  Thus, such RA
>  messages are quite small."
> 
> Section 5.1.5:
> 
> "If the RS contains a Landmark Option whose prefix matches one
>  of those in the interface's stored prefix list, then the
>  Landmark option with the Landmark prefix is included in the RA
>  but with the Yes flag set.  At this point the RA is ready for
>  transmission, and is scheduled as specified in Section 5.1.7."
> 
> I have a comment and question.
> 
> Comment:
> 
> The descriptions here ignore SEND options, which need to be included
> if SEND is used.  This will increase the size of the RA.
> 
> Question:
> 
> Can we have standards language for this?
> 
> There's no flexibility in the description of what options are
> able to be included in the "Yes" Landmark. That sounds like a
> MUST NOT include other PIO, DNAO. etc.
> 
> Personally, I'd prefer something saying something like
> 
> "RAs with the 'Yes' Flag set in a Landmark option MAY leave out all
> configuration related options such as PIOs, DNAOs, Advertisement
> Intervals etc, since this information is assumed to have
> already been received to be able to construct a matching
> Landmark Router Solicitation".
> 
> I'd prefer MAY to SHOULD or MUST, since it's an optimization,
> and the presence of additional options doesn't harm hosts.
> 
> In RADVD, it's easier for me to not remove the other options
> in the RA just because the Landmark option Yes flag is set.
> 
> Greg
> 
>

---

From: Greg Daley <[email-masked]>
Date: Thu, 02 Jun 2005 12:05:13 +1000

Hi Sathya,

Sathya Narayanan wrote:
 > Greg -
 >
 > Under the assumption that the 'Yes' case is more likely, i.e.
 > the ratio AP/AR is big, it makes sense to emphasize the
 > importance of this optimization by making it a MUST/SHOULD, IMHO.
 > With the size of PIOs, possibly many of them and wireless
 > channels etc., there is possibly significant savings in
 > link-utilization.

I think it is a fairly important issue (since people took
the patience to explain it to me).

So I think a SHOULD (limit the options) is OK.

IMO, MUST is really for
a) Interoperability (as per RFC2119)
b) preventing damage to the network.

The damage is light here particularly for
media like Wireless LAN where the rate of messages
is more important than their size.

I can't see a reason to say MUST in this case.

SHOULD is still a strong statement in IETF.

Greg